class Ansi {
  static const int BLACK = 0;
  static const int RED = 1;
  static const int GREEN = 2;
  static const int YELLOW = 3;
  static const int BLUE = 4;
  static const int MAGENTA = 5;
  static const int TURQUOISE = 6;
  static const int GRAY = 7;
  static const int INTENSE_GRAY = 8;
  static const int INTENSE_RED = 9;
  static const int INTENSE_GREEN = 10;
  static const int INTENSE_YELLOW = 11;
  static const int INTENSE_BLUE = 12;
  static const int INTENSE_PINK = 13;
  static const int INTENSE_TURQUOISE = 14;
  static const int WHITE = 15;

  static const String RESET = '\u001b[0m';

  final int fg;
  final int bg;

  const Ansi({this.fg = -1, this.bg = -1});

  String get foreground => (fg != -1 ? '\u001b[38;5;${fg}m' : '');

  String get background => (bg != -1 ? '\u001b[48;5;${bg}m' : '');

  @override
  String toString() => '$foreground$background';
}
